Bug 168372 - [PATCH] www/py-beautifulsoup: update to a new major version
[PATCH] www/py-beautifulsoup: update to a new major version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-27 15:30 UTC by william88
Modified: 2012-07-25 18:01 UTC (History)
0 users

See Also:


Attachments
py-beautifulsoup.patch (4.35 KB, patch)
2012-05-27 15:30 UTC, william88
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description william88 2012-05-27 15:30:02 UTC
	4.x is the new stable branch for beautifulsoup for some time now.
	3.x is only receiving security fixes.
	I also would like to request a repocopy of the current port to www/py-beautifulsoup32
	before updating it.

Fix: See attached patch
Comment 1 Edwin Groothuis freebsd_committer 2012-05-27 15:30:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-05-27 15:30:23 UTC
Maintainer of www/py-beautifulsoup,

Please note that PR ports/168372 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168372

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-05-27 15:30:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 mwm 2012-05-28 05:31:02 UTC
On Sun, 27 May 2012 14:30:23 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of www/py-beautifulsoup,
> 
> Please note that PR ports/168372 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/168372
> 

I mostly agree with this patch. The current version should be
repo-copied to pybeautifulsoup3 before the update.

The submitter of this patch should probably become the maintainer of
the new port, as I'm not using version4 yet.

    <mike
-- 
Mike Meyer <mwm@mired.org>		http://www.mired.org/
Independent Software developer/SCM consultant, email for more information.

O< ascii ribbon campaign - stop html mail - www.asciiribbon.org
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-05-30 20:30:10 UTC
Responsible Changed
From-To: freebsd-python->portmgr

Repocopy request: www/py-beautifulsoup -> www/py-beautifulsoup32. Please 
do the repocopy. Thank you.
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-05-30 20:34:53 UTC
State Changed
From-To: feedback->repocopy

Change status to repocopy
Comment 7 gnats freebsd_committer 2012-06-14 08:05:03 UTC
Responsible Changed
From-To: portmgr->cvs

Automatic repocopy approval.
Comment 8 Eitan Adler freebsd_committer 2012-07-15 01:00:37 UTC
Responsible Changed
From-To: cvs->rm

over to rm as repocopies don't exist anymore
Comment 9 Eitan Adler freebsd_committer 2012-07-15 01:02:44 UTC
State Changed
From-To: repocopy->open

repocopies don't exist anymore
Comment 10 dfilter freebsd_committer 2012-07-25 17:58:32 UTC
Author: rm
Date: Wed Jul 25 16:58:19 2012
New Revision: 301524
URL: http://svn.freebsd.org/changeset/ports/301524

Log:
  - copy py-beautyfulsoup 3.2.0 to py-beautyfulsoup32
  - update py-beautyfulsoup to current stable branch (4.1.1)
  - pass maintainership of this new port to submitter
  - set USE_PYTHON to 2.7, because it doesn't packages with python3
    (port modification needed)
  - chase dependency update to deskutils/calibre
  - add UPDATING entry
  
  PR:		168372 (based on)
  Submitted by:	William Grzybowski <william88 at gmail dot com>
  Approved by:	Mike Meyer <mwm at mired dot org> (maintainer)

Added:
  head/www/py-beautifulsoup32/
     - copied from r301522, head/www/py-beautifulsoup/
Modified:
  head/UPDATING
  head/deskutils/calibre/Makefile
  head/www/Makefile
  head/www/py-beautifulsoup/Makefile
  head/www/py-beautifulsoup/distinfo
  head/www/py-beautifulsoup/pkg-plist

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Wed Jul 25 16:52:24 2012	(r301523)
+++ head/UPDATING	Wed Jul 25 16:58:19 2012	(r301524)
@@ -5,6 +5,17 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20120725:
+  AFFECTS: users of www/py-beautifulsoup
+  AUTHOR: rm@FreeBSD.org
+
+  Current www/py-beautifulsoup has been moved to www/py-beautifulsoup32,
+  since 4.1.1 is now current stable version.
+
+  If you prefer to stick with 3.2.0 do:
+
+  # portmaster -o www/py-beautifulsoup32 www/py-beautifulsoup
+
 20120723:
   AFFECTS: users of security/snort
   AUTHOR: zi@FreeBSD.org

Modified: head/deskutils/calibre/Makefile
==============================================================================
--- head/deskutils/calibre/Makefile	Wed Jul 25 16:52:24 2012	(r301523)
+++ head/deskutils/calibre/Makefile	Wed Jul 25 16:58:19 2012	(r301524)
@@ -7,6 +7,7 @@
 
 PORTNAME=	calibre
 PORTVERSION=	0.8.54
+PORTREVISION=	1
 CATEGORIES=	deskutils python
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}/
 
@@ -29,7 +30,7 @@ BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}se
 RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils \
 		${PYTHON_PKGNAMEPREFIX}dnspython>=0:${PORTSDIR}/dns/py-dnspython \
 		${PYTHON_PKGNAMEPREFIX}dateutil>=0:${PORTSDIR}/devel/py-dateutil \
-		${PYTHON_PKGNAMEPREFIX}beautifulsoup>=0:${PORTSDIR}/www/py-beautifulsoup \
+		${PYTHON_PKGNAMEPREFIX}beautifulsoup32>=0:${PORTSDIR}/www/py-beautifulsoup32 \
 		${PYTHON_PKGNAMEPREFIX}imaging>=0:${PORTSDIR}/graphics/py-imaging \
 		${PYTHON_PKGNAMEPREFIX}lxml>=0:${PORTSDIR}/devel/py-lxml \
 		${PYTHON_PKGNAMEPREFIX}mechanize>=0:${PORTSDIR}/www/py-mechanize \

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Wed Jul 25 16:52:24 2012	(r301523)
+++ head/www/Makefile	Wed Jul 25 16:58:19 2012	(r301524)
@@ -1444,6 +1444,7 @@
     SUBDIR += py-beaker
     SUBDIR += py-beautifulsoup
     SUBDIR += py-beautifulsoup30
+    SUBDIR += py-beautifulsoup32
     SUBDIR += py-bjoern
     SUBDIR += py-bleach
     SUBDIR += py-blogofile

Modified: head/www/py-beautifulsoup/Makefile
==============================================================================
--- head/www/py-beautifulsoup/Makefile	Wed Jul 25 16:52:24 2012	(r301523)
+++ head/www/py-beautifulsoup/Makefile	Wed Jul 25 16:58:19 2012	(r301524)
@@ -1,24 +1,24 @@
 # New ports collection makefile for:	beautifulsoup
-# Date created:				15 July 2005
-# Whom:					Mike Meyer <mwm@mired.org>
+# Date created:				25 July 2012
+# Whom:					Mike Meyer
 #
 # $FreeBSD$
 #
 
 PORTNAME=	beautifulsoup
-PORTVERSION=	3.2.0
+PORTVERSION=	4.1.1
 CATEGORIES=	www python
-MASTER_SITES=	http://www.crummy.com/software/BeautifulSoup/download/3.x/
+MASTER_SITES=	http://www.crummy.com/software/BeautifulSoup/bs4/download/4.1/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	BeautifulSoup-${PORTVERSION}
+DISTNAME=	beautifulsoup4-${PORTVERSION}
 
-MAINTAINER=	mwm@mired.org
+MAINTAINER=	william88@gmail.com
 COMMENT=	HTML/XML Parser for Python
 
-USE_PYTHON=	yes
+USE_PYTHON=	2.7
 USE_PYDISTUTILS=	yes
-PYDISTUTILS_PKGNAME=	BeautifulSoup
+PYDISTUTILS_PKGNAME=	beautifulsoup4
 
-CONFLICTS=	py[0-9]*-beautifulsoup-3.0.*
+CONFLICTS=	py[0-9]*-beautifulsoup-3.*
 
 .include <bsd.port.mk>

Modified: head/www/py-beautifulsoup/distinfo
==============================================================================
--- head/www/py-beautifulsoup/distinfo	Wed Jul 25 16:52:24 2012	(r301523)
+++ head/www/py-beautifulsoup/distinfo	Wed Jul 25 16:58:19 2012	(r301524)
@@ -1,2 +1,2 @@
-SHA256 (BeautifulSoup-3.2.0.tar.gz) = a0ea3377a1055bf2e17594c0808414afb65e11f25ce8998f1ed3e9b871de6ff6
-SIZE (BeautifulSoup-3.2.0.tar.gz) = 31056
+SHA256 (beautifulsoup4-4.1.1.tar.gz) = a8b1b59a105c07cf5a4912efd77294b3f86c4e3623fee773c8ca764c29d507ed
+SIZE (beautifulsoup4-4.1.1.tar.gz) = 129632

Modified: head/www/py-beautifulsoup/pkg-plist
==============================================================================
--- head/www/py-beautifulsoup/pkg-plist	Wed Jul 25 16:52:24 2012	(r301523)
+++ head/www/py-beautifulsoup/pkg-plist	Wed Jul 25 16:58:19 2012	(r301524)
@@ -1,6 +1,51 @@
-%%PYTHON_SITELIBDIR%%/BeautifulSoup.py
-%%PYTHON_SITELIBDIR%%/BeautifulSoup.pyc
-%%PYTHON_SITELIBDIR%%/BeautifulSoup.pyo
-%%PYTHON_SITELIBDIR%%/BeautifulSoupTests.py
-%%PYTHON_SITELIBDIR%%/BeautifulSoupTests.pyc
-%%PYTHON_SITELIBDIR%%/BeautifulSoupTests.pyo
+%%PYTHON_SITELIBDIR%%/bs4/dammit.pyc
+%%PYTHON_SITELIBDIR%%/bs4/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bs4/dammit.py
+%%PYTHON_SITELIBDIR%%/bs4/element.pyo
+%%PYTHON_SITELIBDIR%%/bs4/testing.pyc
+%%PYTHON_SITELIBDIR%%/bs4/testing.py
+%%PYTHON_SITELIBDIR%%/bs4/__init__.py
+%%PYTHON_SITELIBDIR%%/bs4/dammit.pyo
+%%PYTHON_SITELIBDIR%%/bs4/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bs4/element.py
+%%PYTHON_SITELIBDIR%%/bs4/testing.pyo
+%%PYTHON_SITELIBDIR%%/bs4/element.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_tree.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_builder_registry.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_lxml.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_soup.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_htmlparser.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_htmlparser.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_lxml.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_tree.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_html5lib.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_docs.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_soup.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_lxml.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_builder_registry.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_builder_registry.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_htmlparser.pyc
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_soup.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_html5lib.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_docs.py
+%%PYTHON_SITELIBDIR%%/bs4/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_tree.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_docs.pyo
+%%PYTHON_SITELIBDIR%%/bs4/tests/test_html5lib.pyc
+%%PYTHON_SITELIBDIR%%/bs4/builder/_html5lib.pyo
+%%PYTHON_SITELIBDIR%%/bs4/builder/_htmlparser.pyo
+%%PYTHON_SITELIBDIR%%/bs4/builder/_lxml.pyc
+%%PYTHON_SITELIBDIR%%/bs4/builder/_htmlparser.py
+%%PYTHON_SITELIBDIR%%/bs4/builder/__init__.py
+%%PYTHON_SITELIBDIR%%/bs4/builder/__init__.pyc
+%%PYTHON_SITELIBDIR%%/bs4/builder/_lxml.py
+%%PYTHON_SITELIBDIR%%/bs4/builder/_html5lib.py
+%%PYTHON_SITELIBDIR%%/bs4/builder/_html5lib.pyc
+%%PYTHON_SITELIBDIR%%/bs4/builder/_lxml.pyo
+%%PYTHON_SITELIBDIR%%/bs4/builder/_htmlparser.pyc
+%%PYTHON_SITELIBDIR%%/bs4/builder/__init__.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/bs4/builder
+@dirrm %%PYTHON_SITELIBDIR%%/bs4/tests
+@dirrm %%PYTHON_SITELIBDIR%%/bs4
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Ruslan Makhmatkhanov freebsd_committer 2012-07-25 18:01:37 UTC
State Changed
From-To: open->closed

Committed, thank you!